Document Review Tool

Groove Document Review Tool

The Document Review tool helps you organize, track, and manage the document review process.

What do you want to do?

  • Learn more about the document review process

  • Start a document review

  • Review a document

  • Add a reviewer to a review cycle in progress

  • Add a comment

  • Export markup copies to a folder

  • Revise the originals

  • Start another review cycle

  • Use keyboard shortcuts

  • Troubleshoot a problem with the Document Review Tool and Microsoft Word

© 2006 Microsoft Corporation. All rights reserved.


About the document review process

A document review is a process that typically includes the following sequential activities:

  1. The author delivers a document to one or more reviewers.

  2. Reviewers add comments and return the document to the author.

  3. The author updates the original document based on comments from reviewers.

  4. Steps 1 - 3 are repeated, as necessary.

The Document Review tool manages this process by providing different feature options based on participants' roles in the document review:

  • The member who adds a Document Review tool to a workspace becomes the document author, and is the only member who sees options for adding an original document to the tool and initiating a document review. Additionally, the document author sees only an aggregate list of all review copies.

  • Members invited to be document reviewers are provided with an exclusive copy of the original document in which to add their comments and edits.

    Additionally, only document reviewers see options for changing the status of their review.

    Finally, document reviewers see two lists of files during the review: "All Reviews" -- the same list that the document author sees, and "My Review," which is a list of only their own review copies.

  • Once reviewers save their review copies, the document author can review them and select a method for incorporating comments into their original document.

  • Once all reviewer comments are incorporated, the document author can initiate a new review using the updated document.

    Of course, after any revision cycle, the document author might consider the document review to be complete, and simply not initiate another cycle.

Document Review Tool Contents


Starting a review cycle for a new document

To start a review cycle for a new document, you must be the member who added the Document Review tool to the workspace. If you're not this member, you must add and use a new document review tool in the workspace. The steps for starting a review cycle for a new document vary depending on whether you've just added the Document Review tool, or if a document review is already in process or is completed.

Note: You must have a Groove Professional License to add a new Document Review tool to a workspace and start a new review as a document author.

Starting a review cycle for a new document in a new Document Review tool

If you've just added a Document Review tool, do the following to start a review cycle:

  1. Follow the sequential steps in the "Welcome" window to add one or more files, select reviewers, and add a message (if you want).

  2. Click Start Review.

The Document Review window displays, showing the revision number and author name, and selected reviewers are invited to start participating in the review session. The Comments pane displays the initial message to reviewers (if any).

Once reviewers opens a file for review or enter a comment, their review status changes to "In Progress."

Starting a review cycle for a new document during another review cycle

You can start a review cycle for a new document at any time, even if another document review cycle is currently in process.

For example, you may determine that the current review cycle is done even though some document reviewers have not yet provided their markup copies, and you may therefore want to begin a new cycle with a completely new document. If this is the case, you might consider adding a new Document Review tool, just for organizational purposes. But you can also use the current Document Review tool.

Keep in mind that once you start a new review cycle, documents in previous review cycles are designated as "old" copies, and therefore document review features for that review cycle are disabled. However, you can just add documents from earlier reviews to a new revision cycle.

To start a review cycle during another review cycle:

  1. Click Prepare New Revision to display the "Revised documents" panel.

  2. Click Add Files to add one or more files to be reviewed.

  3. Click Create New Revision.

  4. Select reviewers, add a message (if you want), and click OK.

The Document Review window displays, showing the revision number and author name, and selected reviewers are invited to start participating in the review session. The Comments pane displays the initial message to reviewers (if any).

Once reviewers opens a file for review or enter a comment, their review status changes to "In Progress."


Adding a new reviewer to a review cycle in progress

Adding a reviewer to a review cycle in progress

You can add any workspace member to a review cycle, while it's in progress.

  1. Click Add Reviewers.

  2. Select the members you'd like to add to the review cycle.

  3. Click OK.

Selected members are notified that your documents are ready to be reviewed.


Revising documents based on reviewer comments

As the document author, the options you have for revising documents depend on the type of document:

  • For Microsoft Word® documents, you can use those applications' Merge and Track Changes features.

  • For all other types of documents, you need to compare your original document with the reviewers' marked-up copies, and then make the edits you want manually (for example, by typing or using copy and paste).

Revising Word documents using Merge and Track Changes features

For Word documents, you can use a "Merge" feature to combine the markup copies of several reviewers into one "master" markup copy. In this master markup copy, each reviewer's input is clearly marked with change bars, strike-outs, and red text. This way you don't have to open several separate markup copies each time you want to make changes to your original document, and you can use Microsoft's Track Changes feature to accept or reject reviewer input.

Note: The "Merge" feature appears starting with the Groove 2.1 version of the Document Review tool. If you do not see this feature, this means this Document Review tool was added to a workspace that supports features in an earlier version of Groove. If this is the case, export your markup copies to a folder, and use Microsoft Word's "Merge" feature to merge the documents manually.

  1. In My Originals, select the original Word document and click Merge to run the Merge wizard.

  2. Select the markups you'd like to include in your merge and clicking Finish.

    The Document Review tool completes the merge and places a master markup document in the Revised Documents window.

  3. Open the master markup document in the Revised Documents window.

  4. Use Word's Track Changes feature (available from the Tools menu) to start accept or reject changes.

  5. Save your changes in the Word and return to Groove.

  6. Save your changes back to Groove, when prompted.

    You're now ready to start another review cycle with this document in the Revised Documents window.

Revising documents without using Merge and Track Changes features

To revise a document without using Merge and Track Changes features, you must open both the original document and one or more reviewers' markup copies:

  1. Right-click the reviewer's marked up copy and select Open.

  2. Return to Groove, right-click the original copy of the same document in My Originals, and select Edit Revised Copy.

    You should now have both the original and the reviewer copy of the document open.

  3. Make the edits you want in your original copy based on the comments and edits you see in the reviewer's markup copy.

  4. Save your changes in the application and return to Groove.

    Groove detects that you've made changes to your original document and prompts you to save your changes back to Groove.

    When you save your changes back to Groove, the Document Review tool opens the Revised Documents window and places your updated document in it to make it available for starting a new review.


Starting a review cycle for a revised document

Once a document author updates any original document based on reviewer comments, this document displays in the Revised Documents panel. The document author can then initiate another review cycle with the revised document, as well as add documents to be reviewed for the first time.

To start another review cycle:

  1. Select or add the documents with which to start a new revision cycle in the Revised Documents window.

  2. Click Next.

  3. Select reviewers, and add a message (if you want).

  4. Click Finish.

The Document Review tool notifies reviewers that the updated document is ready for review.


Navigating among revision cycles

You can go to any revision cycle by selecting it from the Revision drop-down menu.

Note, however, that all document author and reviewer features are available only for the most current revision cycle. All other revision cycles are considered "old" versions, and exist mainly for archive purposes.

You can select either a specific revision by number, or "All Revisions".


Opening a document for review

For document reviewers, the Documents panel lists all files that the document author has selected for you and other members to review, and references them as the document author's originals:

To open a document for review:

  1. Double-click the document to open it in its application.

  2. Edit the document as you wish, and save your changes.

    Note:     If the document is a Microsoft Word® or Excel® file, revision marking features should be automatically enabled. If this feature is not enabled, see troubleshooting information.

  3. Save your changes back to Groove, just as you do in the Groove Files tool.

    Your edited review is saved as a new file in the My Markups folder of the Document window.

    Once you've saved a marked-up copy of the document, you can continue editing it during the current revision cycle. Once you're done editing, it's a good idea to change the review status to "Completed". Although the document author can open your marked-up copy of the document as soon as you save it, it's helpful to communicate that you're done making edits.

    Also, regardless of the current status of your marked-up copy, if the document author starts a new revision of the document, you can no longer open the current version of the marked-up copy and make additional edits.


Exporting markup copies

If you're the document author, you can export all reviewers markup copies at once:

  1. In My Originals, right-click the original document whose markups you'd like to export and select Export Markup.

  2. Select the folder to export the markups to and click OK.

Document authors or reviewers can export any document (markup or original) from the Document Review tool as follows:

  1. Right-click the document you'd like to export and select Export.

  2. Select the folder to export the document to and click OK.


Adding a comment

Adding comments during a document review

The Comments window in the Document review tool provides a place where the document author and document reviewers can post messages and engage in a threaded discussion with a topic/response hierarchy.

Document reviewers can use "My Review" tab to exchange comments only with the author. However, all review comments for the current revision display on the All Reviews tab. Document authors see only the All Reviews tab.

Note: You can add new comments or responses only during the most current revision.

To add a new comment:

  1. Click Add Comment.

  2. In the comment form, enter a subject and body.

  3. To mark your comment as germane to a specific document, click the in reference to drop-down arrow and select a document.

  4. Click Save. Your comment gets placed as the next top-level item in the Comments window.

To respond to a comment:

  1. Select the comment you're responding to and click Respond.

  2. Enter the response comment text, and edit or accept the response subject title.

  3. Click Save. Your response is placed hierarchically below the comment you're responding to.


Using the keyboard to do Document Review tasks

Standard Windows keyboard shortcuts (for example, for cut, copy, paste, and delete) apply for the Document Review Tool. The table below lists other keyboard shortcuts. Available shortcuts depend on the mode in which you are using the tool.

To | Press
Add a document | Ctrl+M
Open a document | Enter
Copy a document | Ctrl+C
Delete a document | Delete
Add a comment | Ctrl+N
Respond to a comment | Ctrl+R


Troubleshooting problems with the Document Review Tool and Microsoft Word

Troubleshooting

The Document Review tool should automatically enable Microsoft Word's document tracking and merge features when you open these files for review. If these features cannot be enabled for some reason, an error message displays. You can dismiss the Groove error message and continue working with the Microsoft Word document.

You can still use Word's document tracking or merge features by enabling them manually from Word's Tools menu. Menu choices may differ depending on which version of Word you're using.

You may be able to fix this problem so that these Word features are automatically enabled. Try one of the following procedures and then re-enable Microsoft Word Support by selecting Options and checking Enable Microsoft® Word Revision Features.

  • Run the Detect and Repair feature available in Microsoft Word 2000 or XP by selecting Help-Detect and Repair. This feature detects and repairs problems found in Microsoft Office 2000 programs, such as missing files and registry settings. It does not repair data files such as documents.

  • Reinstall Microsoft Word.

  • Check to see if Microsoft Word updates are available from Microsoft Office's Web site (http://office.microsoft.com).

  • If you're running an antivirus program, turn off its script blocking features, if any.